# Uses of Class
javax.imageio.IIOImage

Packages that use IIOImage
Package
Description
javax.imageio
The main package of the Java Image I/O API.

## Uses of IIOImage in javax.imageio

Methods in javax.imageio that return IIOImage
Modifier and Type
Method
Description
`IIOImage`
ImageReader.`readAll(int imageIndex, ImageReadParam param)`
Reads the image indexed by `imageIndex` and returns an `IIOImage` containing the image, thumbnails, and associated image metadata, using a supplied `ImageReadParam`.
Methods in javax.imageio that return types with arguments of type IIOImage
Modifier and Type
Method
Description
`Iterator<IIOImage>`
ImageReader.`readAll(Iterator<? extends ImageReadParam> params)`
Returns an `Iterator` containing all the images, thumbnails, and metadata, starting at the index given by `getMinIndex`, from the input source in the form of `IIOImage` objects.
Methods in javax.imageio with parameters of type IIOImage
Modifier and Type
Method
Description
`void`
ImageWriter.`write(IIOImage image)`
Appends a complete image stream containing a single image with default metadata and thumbnails to the output.
`abstract void`
ImageWriter.`write(IIOMetadata streamMetadata, IIOImage image, ImageWriteParam param)`
Appends a complete image stream containing a single image and associated stream and image metadata and thumbnails to the output.
`void`
ImageWriter.`writeInsert(int imageIndex, IIOImage image, ImageWriteParam param)`
Inserts a new image into an existing image stream.
`void`
ImageWriter.`writeToSequence(IIOImage image, ImageWriteParam param)`
Appends a single image and possibly associated metadata and thumbnails, to the output.